﻿$ErrorActionPreference = 'Stop'; #Stop on all errors

$packageName = 'automiseruntime' #Unique name of the package
$installerType = 'EXE' #Installer is an executable. 
$url = 'http://downloads.finalbuilder.com/downloads/automise/500/ATCMD500_1075.exe' #URL to download installer for current version. 
$silentArgs = '/SP /VERYSILENT /SUPPRESSMSGBOXES /CLOSEAPPLICATIONS' #Silent install arguments for our installer
$validExitCodes = @(0) #Valid return codes from the installer for success
$checksum = '1D5165AA979DB05C1C940DF24F842B2BB491C3DA98613751835C086A7477877D'

#Run chocolatey install package commandlet
Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" -validExitCodes $validExitCodes -checksum $checksum -checksumType sha256